ZIP_ERROR_TO_STR(3)

NAME
zip_error_to_str - get string representation of zip error

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>

int zip_error_to_str(char *buf, zip_uint64_t len, int ze, int se);

DESCRIPTION
The zip_error_to_str function stores a string describing the libzip error code ze in the user-provided buffer buf which has size len. The buffer is always NUL-terminated. se should be the value of the global variable errno at the time of the error or the zlib error code, depending on ze.

zip_error_to_str is especially useful if zip_open failed, since then there is no is available to store the error code; otherwise zip_strerror or zip_file_strerror are more convenient.

RETURN VALUES
zip_error_to_str returns the number of characters that would have been written to a sufficiently sized buf, excluding the terminating NUL character.

SEE ALSO
libzip(3), zip_error_get(3), zip_error_get_sys_type(3), zip_file_error_get(3), zip_file_strerror(3), zip_open(3), zip_strerror(3)

AUTHORS
Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>